Name: dhcpxd
Version: 1.0.3
Release: ipl9mdk

Summary: DHCPXD Daemon
License: GPL
Group: System/Servers

Source: ftp://ftp.guido.yi.org:50021/%name-%version.tar.bz2
Patch: %name-1.0.3-manpage.patch

# Automatically added by buildreq on Mon Nov 05 2001
BuildRequires: gcc-c++ libstdc++-devel

%description
The primary goal of this DHCP client is to conform to the DHCP specification
defined in RFC2131 which is now the draft standard. However, the client can
be told how to behave. Additionally, the client supports all-in-one-process
session managment as well as a process per session. It may also be used to
masquerade IP leases and has the capability of running on interface aliases.
Finally, perhaps the most advanced feature of the client is that all the
configuration that is required for setting up interfaces is in scripts that
are run at the appropiate times.

%prep
%setup -q
%patch -p1

%build
%configure
perl -pi -e 's/-Wall/\$(RPM_OPT_FLAGS)/g;' Makefile
%make_build RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
install -p -m755 -D %name $RPM_BUILD_ROOT/sbin/%name
install -p -m644 -D %name.8 $RPM_BUILD_ROOT%_mandir/man8/%name.8

install -d -m700 $RPM_BUILD_ROOT%_sysconfdir/%name
install -p -m755 filter $RPM_BUILD_ROOT%_sysconfdir/%name
cp -dpf install/* $RPM_BUILD_ROOT%_sysconfdir/%name
ln -snf /dev/log $RPM_BUILD_ROOT%_sysconfdir/%name/out

%files
%dir %_sysconfdir/%name
%_sysconfdir/%name/filter
%_sysconfdir/%name/sh
%_sysconfdir/%name/out
%config(noreplace) %_sysconfdir/%name/*.*
/sbin/*
%_mandir/man?/*
%doc ChangeLog

%changelog
* Fri Nov 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.3-ipl9mdk
- Rebuilt in new environment

* Mon Nov 05 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0.3-ipl8mdk
- Rebuilt in new environment

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.3-ipl7mdk
- Fixed dhcpxd manpage.

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.3-ipl6mdk
- RE adaptions.

* Sun Sep 24 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.0.3-5mdk
- BM macro's

* Thu May 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-4mdk
- Don't compile with optmisations on alpha ports.

* Wed Apr 19 2000 Pixel <pixel@mandrakesoft.com> 1.0.3-3mdk
- change output from tty7 (nasty) to /dev/log (working?)

* Fri Apr 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0.3-2mdk
- used spec-helper
- fix group

* Mon Mar 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com>
- first Mandrake release
